Bug 992091 - cpm: FTBFS in rawhide
cpm: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-04 23:14 EDT by Dennis Gilmore
Modified: 2013-08-11 14:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: cpm-0.23-0.12.beta.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-11 14:45:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-04 23:14:21 EDT
Your package cpm failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5703895

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/3895/5703895/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/3895/5703895/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/3895/5703895/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Petr Pisar 2013-08-06 06:28:52 EDT
configure: error: cracklib dictionary /usr/lib/cracklib_dict.pwd does not exist
error: Bad exit status from /var/tmp/rpm-tmp.2nyB1I (%build)

Current cracklib dictionary is gzipped (cracklib_dict.pwd.gz).
Comment 2 Paul Howarth 2013-08-11 14:45:24 EDT
The configure script was a bit fussy, looking for the exact filenames of the dictionaries despite not actually needing to know them itself as the cracklib API does not require knowledge of the file extensions used. I patched it to check for a compressed dictionary too, which fixed that problem.

There was also a problem with the cpm.pod documentation file, which included UTF8 characters but didn't specify its encoding, which the current pod tools object to, so I added an appropriate encoding specification.

Build done: http://koji.fedoraproject.org/koji/taskinfo?taskID=5806187

Note You need to log in before you can comment on or make changes to this bug.